package com.huazheng.project.hana.mapper;

import java.util.List;

import com.huazheng.project.hana.model.Afko;
import com.huazheng.project.hana.model.Afpo;
import com.huazheng.project.hana.model.Aufk;
import com.huazheng.project.hana.model.Aufm;
import com.huazheng.project.hana.model.Bsad;
import com.huazheng.project.hana.model.Bsid;
import com.huazheng.project.hana.model.Kna1;
import com.huazheng.project.hana.model.Knkk;
import com.huazheng.project.hana.model.Knvv;
import com.huazheng.project.hana.model.Konv;
import com.huazheng.project.hana.model.Likp;
import com.huazheng.project.hana.model.Lips;
import com.huazheng.project.hana.model.Makt;
import com.huazheng.project.hana.model.Mara;
import com.huazheng.project.hana.model.Mska;
import com.huazheng.project.hana.model.Pa0002;
import com.huazheng.project.hana.model.S066;
import com.huazheng.project.hana.model.S067;
import com.huazheng.project.hana.model.T001w;
import com.huazheng.project.hana.model.T023t;
import com.huazheng.project.hana.model.Tvkbt;
import com.huazheng.project.hana.model.Vbak;
import com.huazheng.project.hana.model.Vbap;
import com.huazheng.project.hana.model.Vbep;
import com.huazheng.project.hana.model.Vbpa;
import com.huazheng.project.hana.model.Vbrk;
import com.huazheng.project.hana.model.Vbrp;
import com.huazheng.project.hana.model.Vbuk;
import com.huazheng.project.hana.model.Zmdpc;
import com.huazheng.project.hana.model.Zsd06;
import com.huazheng.project.hana.model.Zsdfhzl;

public interface SapMapper {

	public List<Vbap> selectVbapNew(Vbap vbap);
	public List<Bsid> selectBsidNew(Bsid bsid);
	public List<Bsad> selectBsadNew(Bsad bsad);
	public List<Pa0002> selectPa0002New(Pa0002 pa0002);
	public List<Vbpa> selectVbpaNew(Vbpa vbpa);
	public List<Tvkbt> selectTvkbtNew(Tvkbt tvkbt);
	public List<Aufm> selectAufmNew(Aufm aufm);
	public List<Vbrk> selectVbrkNew(Vbrk vbrk);
	public List<Vbrp> selectVbrpNew(Vbrp vbrp);
	public List<S066> selectS066New(S066 s066);
	public List<S067> selectS067New(S067 s067);
	public List<Vbuk> selectVbukNew(Vbuk vbuk);
	public List<Likp> selectLikpNew(Likp likp);
	public List<Konv> selectKonvNew(Konv konv);
	public List<Lips> selectLipsNew(Lips lips);
	public List<Afko> selectAfkoNew(Afko afko);
	public List<Afpo> selectAfpoNew(Afpo afpo);
	public List<Vbep> selectVbepNew(Vbep vbep);
	public List<T023t> selectT023tNew(T023t t023t);
	public List<Kna1> selectKna1New(Kna1 kna1);
	public List<Knvv> selectKnvvNew(Knvv knvv);
	public List<Knkk> selectKnkkNew(Knkk knkk);
	public List<Mara> selectMaraNew(Mara mara);
	public List<Makt> selectMaktNew(Makt makt);
	public List<Zsd06> selectZsd06New(Zsd06 zsd06);
	public List<Zmdpc> selectZmdpcNew(Zmdpc zmdpc);
	public List<Vbak> selectVbakNew(Vbak vbak);
	public List<Aufk> selectAufkNew(Aufk aufk);
	public List<T001w> selectT001wNew(T001w t001w);
	public List<Mska> selectMskaNew(Mska mska);
	public List<Zsdfhzl> selectZsdfhzlNew(Zsdfhzl zsdfhzl);
	
	public Afko selectAfkoById(Afko target);
	public Afpo selectAfpoById(Afpo target);
	public Aufk selectAufkById(Aufk target);
	public Aufm selectAufmById(Aufm target);
	public Kna1 selectKna1ById(Kna1 target);
	public Knkk selectKnkkById(Knkk target);
	public Knvv selectKnvvById(Knvv target);
	public Konv selectKonvById(Konv target);
	public Likp selectLikpById(Likp target);
	public Lips selectLipsById(Lips target);
	public Makt selectMaktById(Makt target);
	public Mara selectMaraById(Mara target);
	public Mska selectMskaById(Mska target);
	public Pa0002 selectPa0002ById(Pa0002 target);
	public S066 selectS066ById(S066 target);
	public S067 selectS067ById(S067 target);
	public T001w selectT001wById(T001w target);
	public T023t selectT023tById(T023t target);
	public Vbak selectVbakById(Vbak target);
	public Vbep selectVbepById(Vbep target);
	public Vbpa selectVbpaById(Vbpa target);
	public Vbrk selectVbrkById(Vbrk target);
	public Vbrp selectVbrpById(Vbrp target);
	public Vbuk selectVbukById(Vbuk target);
	public Zmdpc selectZmdpcById(Zmdpc target);
	public Zsd06 selectZsd06ById(Zsd06 target);
	public Zsdfhzl selectZsdfhzlById(Zsdfhzl target);
	public Bsad selectBsadById(Bsad target);
	public Bsid selectBsidById(Bsid target);
	public Vbap selectVbapById(Vbap target);
	public Tvkbt selectTvkbtById(Tvkbt target);

}
